import { FlowchartNodePanel } from '@antv/xflow';
/** 配置Dnd组件面板 */
import CustomCircle from './react-node/CustomCircle';
import CustomRect from './react-node/CustomRect';

function NodePanel() {
  return (
    <FlowchartNodePanel
      registerNode={{
        title: '自定义节点',
        key: '1',
        nodes: [
          {
            component: CustomRect,
            popover: () => <div>业务节点</div>,
            name: 'custom-rect',
            width: 120,
            height: 50,
            label: '业务节点',
          },
          {
            component: CustomCircle,
            popover: () => <div>审批节点</div>,
            name: 'custom-circle',
            width: 90,
            height: 90,
            label: '审批节点',
          },
        ],
      }}
      position={{ width: 162, top: 40, bottom: 0, left: 0 }}
    />
  );
}
export default NodePanel;
